{
  "type": "minecraft:chest",
  "pools": [
    {
      "rolls": {
        "min": 1,
        "max": 3,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:loot_table",
          "weight": 40,
          "name": "minecraft:shared_loot_table2"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 120,
          "quality": -1,
          "name": "minecraft:shared_loot_empty"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 40,
          "name": "minecraft:shared_loot_table3"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 6,
          "quality": 1,
          "name": "minecraft:shared_loot_table"
        }
      ]
    },
    {
      "rolls": {
        "min": 2,
        "max": 6,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 30,
          "quality": 10,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:diamond"
        },
        {
          "type": "minecraft:item",
          "weight": 100,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 5,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:iron_ingot"
        },
        {
          "type": "minecraft:item",
          "weight": 150,
          "quality": 10,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 7,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:gold_ingot"
        },
        {
          "type": "minecraft:item",
          "weight": 150,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:bamboo"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": 10,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:emerald"
        },
        {
          "type": "minecraft:item",
          "weight": 200,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 4,
                "max": 6,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:bone"
        },
        {
          "type": "minecraft:item",
          "weight": 160,
          "quality": -20,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 3,
                "max": 7,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:rotten_flesh"
        },
        {
          "type": "minecraft:item",
          "weight": 30,
          "name": "minecraft:saddle"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "quality": 2,
          "name": "minecraft:totem_of_undying"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:iron_horse_armor"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:golden_horse_armor"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:diamond_horse_armor"
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 30,
              "treasure": true
            }
          ],
          "name": "minecraft:book"
        }
      ]
    }
  ]
}
